CREATE TABLE fnd_ef_ui_pages_b_ (
    ENTERPRISE_ID                 NUMBER(18, 0) ,
    SANDBOX_ID                    VARCHAR2(256) ,
    PAGE_ID                       NUMBER(18, 0) ,
    APPLICATION_ID                NUMBER(18, 0) ,
    DESCRIPTIVE_FLEXFIELD_CODE    VARCHAR2(160) ,
    FLEXFIELD_USAGE_CODE          VARCHAR2(120) ,
    CATEGORY_CODE                 VARCHAR2(3200),
    PAGE_CODE                     VARCHAR2(120) ,
    PROTECTED_FLAG                VARCHAR2(4)   ,
    SEQUENCE_NUMBER               NUMBER(9, 0)  ,
    MDS_DOCUMENT_NAME             VARCHAR2(4000),
    CREATION_DATE                 TIMESTAMP(6)  ,
    CREATED_BY                    VARCHAR2(256) ,
    LAST_UPDATE_DATE              TIMESTAMP(6)  ,
    LAST_UPDATED_BY               VARCHAR2(256) ,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_            VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_         VARCHAR2(4000),
    AUDIT_IMPERSONATOR_           VARCHAR2(256) ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    ENTERPRISE_ID                 NUMBER(18, 0) ,
    APPLICATION_ID                NUMBER(18, 0) ,
    DESCRIPTIVE_FLEXFIELD_CODE    VARCHAR2(160) ,
    FLEXFIELD_USAGE_CODE          VARCHAR2(120) ,
    CATEGORY_CODE                 VARCHAR2(3200),
    PAGE_CODE                     VARCHAR2(120) ,
    SEQUENCE_NUMBER               NUMBER(9, 0)  ,
    MDS_DOCUMENT_NAME             VARCHAR2(4000),
    CREATION_DATE                 TIMESTAMP(6)  ,
    CREATED_BY                    VARCHAR2(256) ,
    LAST_UPDATE_DATE              TIMESTAMP(6)  ,
    LAST_UPDATED_BY               VARCHAR2(256) ,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_            VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_         VARCHAR2(4000),
    PROTECTED_FLAG                VARCHAR2(4)   ,
    PAGE_ID                       NUMBER(18, 0) ,
    AUDIT_IMPERSONATOR_           VARCHAR2(256) ,
    SANDBOX_ID                    VARCHAR2(256) ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    CONSTRAINT pk_fnd_ef_ui_pages_b_ PRIMARY KEY (ENTERPRISE_ID, SANDBOX_ID, APPLICATION_ID, DESCRIPTIVE_FLEXFIELD_CODE, FLEXFIELD_USAGE_CODE, CATEGORY_CODE, PAGE_CODE, LAST_UPDATE_DATE, LAST_UPDATED_BY, ENTERPRISE_ID, APPLICATION_ID, DESCRIPTIVE_FLEXFIELD_CODE, FLEXFIELD_USAGE_CODE, CATEGORY_CODE, PAGE_CODE, LAST_UPDATE_DATE, LAST_UPDATED_BY, SANDBOX_ID)
);
